/**
 * Required External Modules and Interfaces
 */
import express, {Request, Response} from 'express';
import {generalInfoRouter} from './generalInfo/GeneralInfo.router';
import logger from '../../middleware/logger';

/**
 * Router Definition
 */
export const dhbwServiceRouter = express.Router();

// Sub-Endpoints
dhbwServiceRouter.use('/generalInfo', generalInfoRouter);

dhbwServiceRouter.get('/', async (req: Request, res: Response) => {
    try {
        res.status(200).send('Pluto Development DHBW Service App API Endpoint');
    } catch (e) {
        logger.error('Error handling a request: ' + e.message);
        res.status(500).send({'message': 'Internal Server Error. Try again later.'});
    }
});
