/**
 * Required External Modules and Interfaces
 */
import express, {Request, Response} from 'express';
import {dataRouter} from './data/Data.router';
import {registerRouter} from './register/Register.router';
import logger from '../../middleware/logger';
import {loginRouter} from './login/Login.router';

/**
 * Router Definition
 */
export const partyPlanerRouter = express.Router();

// Sub-Endpoints
partyPlanerRouter.use('/data', dataRouter);
partyPlanerRouter.use('/register', registerRouter);
partyPlanerRouter.use('/login', loginRouter);

partyPlanerRouter.get('/', async (req: Request, res: Response) => {
    try {
        res.status(200).send('Pluto Development PartyPlaner API Endpoint V2');
    } catch (e) {
        logger.error('Error handling a request: ' + e.message);
        res.status(500).send({'message': 'Internal Server Error. Try again later.'});
    }
});
